<?php

declare(strict_types=1);

namespace App\Model;

use Nette;
use Nette\Database\Explorer;
use Nette\Database\Row;
use Nette\Security\User;
use Nette\Utils\DateTime;

/**
 * Třída pro načítání informací o obvodech z DB.
 */
final class ZaznamFacade
{
    public function __construct(
        private Explorer $database,
        private User $user,
    ) {
    }

    /**
     * Summary of getZaznamyObvodu
     * @param int $obvod ID
     * @return array
     */
    public function getZaznamyObvodu(int $obvod): array
    {
        $sql = "SELECT * FROM ZAZNAM WHERE OBVOD = ?";
        return $this->database->fetchAll($sql, $obvod);
    }

}